function thinned_strokes = thin_strokes(strokes,radius,alpha, iterations)
% thinned_strokes2 = thin_strokes2(strokes,radius,alpha, iterations)
% Return a thinned version of the input strokes using radius and alpha
% iterations argument is optional. Use thin_stroke2 as the thinning method.


if nargin == 3
    thinned_strokes{1} = zeros(size(strokes{1}));
    for i=1:length(strokes)
        i
        thinned_strokes{i} = thin_stroke2(strokes{i}, radius, alpha);
    end
end

if nargin == 4
    for i=1:length(strokes)
        thinned_strokes{i}{1} = strokes{i};
        for j=2:iterations;
                thinned_strokes{i}{j} = thin_stroke2(thinned_strokes{i}{j-1}, radius, alpha);
        end
    end
end
